import { FadeIn } from "../components/FadeIn";
import { useTabNavigation } from "../utils/TabNavigation";
import { useNavigation } from "../utils";
import { OurLink } from "../components/Link";

export function Home() {
  useTabNavigation();
  const {goToPageAndScroll} = useNavigation(); 
/* */
  return (
    <>
       <div className="col">
          <div className="col header-container landing-page-header" id="landing-page-header">
            <div className="row align-items-center">
              <div className="col">
              <img src="https://static.igem.wiki/teams/5247/thaw/2024-preise.webp"  id="lpbild"/>
              </div>
              <div className="col-3">
              <img src="https://static.igem.wiki/teams/5247/thaw/gold-medaille-wiki.webp" />
              </div>
            </div>  
            <br/>
            
            <h3 style={{textAlign: "center"}}>Our Project, Our Victory</h3>
            <h4 style={{textAlign: "center"}}>Gold Medal for Excellence in Synthetic Biology and Engineering Success as one of the best therapeutic projects</h4>
          
            <p style={{textAlign: "center"}}>A true honor for our <b>cutting-edge</b> contributions to the world of synthetic biology and <b>engineering breakthroughs</b>.</p>
             
            <br/>
           </div>
        </div>
        <div className="row align-items-center">
              <div className="col center">
              <img style={{margin: "auto"}} height="400px" className="center" src="https://static.igem.wiki/teams/5247/thaw/best-integrated-human-pratices.webp" />
              </div>
              <div className="col">
              <img style={{margin: "auto"}} height="400px" className="center" src="https://static.igem.wiki/teams/5247/thaw/best-presentation-award.webp" />
              </div>
              <div className="col">
              <img style={{margin: "auto"}} height="400px" className="center" src="https://static.igem.wiki/teams/5247/thaw/safety-and-security-neu.webp" />
               </div>
            </div>  
            <div className="row align-items-center" style={{marginBottom: "none !important", paddingBottom: "0px !important"}}>
              <div className="col" style={{marginBottom: "none !important", paddingBottom: "0px !important"}}>
               <h3 style={{textAlign: "center"}}>Best Integrated Human Practices</h3>
              </div>
              <div className="col" style={{marginBottom: "none !important", paddingBottom: "0px !important"}}>
              <h3 style={{textAlign: "center"}}>Best Presentation</h3>
              </div>
              <div className="col" style={{marginBottom: "none !important", paddingBottom: "0px !important"}}>
               <h3 style={{textAlign: "center"}}>Safety and Security Award</h3>
              </div>
            </div>
            <div className="row align-items-center" >
              <div className="col">
               <p style={{textAlign: "center"}}>Ethical, impactful, and groundbreaking science</p>
              </div>
              <div className="col">
              <p style={{textAlign: "center"}}>Ability to communicate complex science with clarity and impact</p>
              </div>
              <div className="col">
               <p style={{textAlign: "center"}}>Unmatched safety standards, ensuring innovation with responsibility</p>
              </div>  
            </div> 
            <br/><br/>
            <p style={{textAlign: "center"}}>In 2024, our groundbreaking work in <b>synthetic biology</b> and <b>medical engineering</b> was recognized with <b>multiple prestigious awards</b>, 
              marking a monumental achievement in our journey. These <b>honors</b> are not just trophies — they represent the <b>passion</b>, <b>innovation</b>, 
              and excellence embedded in every aspect of our project.</p>
              <p style={{textAlign: "center"}}>These <b>honors</b> don’t just validate our science — they affirm our <b>vision</b> for a healthier, smarter, and more sustainable future.
              </p>
              <h4 style={{textAlign: "center"}}>Experience the Journey              </h4>
              <p style={{textAlign: "center"}}>Dive deeper into our award-winning work. Watch our <b>epic presentation</b> and explore the full scope of our project. 
              </p>
              <p style={{textAlign: "center"}}>Check out the videos and more to see how we are <b>pushing the boundaries</b> of what's possible:
              </p>
            <p style={{textAlign: "center"}}><OurLink text="Our Project Overview" path="description" scrollToId="Abstract"/></p>
              <p style={{textAlign: "center"}}>Award-Winning Presentation Video</p>
              <div style={{textAlign: "center"}} className="row align-items-center">
          <div  className="col">
          <iframe title="Bielefeld-CeBiTec: Next-Generation Prime Editing as Cystic Fibrosis Gene Therapy (2024) - Team Presentation [English]" width="560" height="315" src="https://video.igem.org/videos/embed/479e7f99-6931-47bc-9193-d4367beba4f2" frameBorder="0" allowFullScreen sandbox="allow-same-origin allow-scripts allow-popups allow-forms"></iframe>
          </div>
        </div>
      {/*   <div className="col">
          <div className="col header-container landing-page-header" id="landing-page-header-2">
            <div className="row align-items-center">
            <div className="col header-button-row">
                <div><H5 text="Take a tour through our highlights:"/>  </div>
                <p>
                  &#8594; <a href="description?scrollTo=Abstract">What is <PreCyse/>? </a> <br/> <br/> 
                  &#8594; <a href="engineering?tab=tab-our-cycle&scrollTo=ourcycle">What is our strategy?</a> <br/> <br/>
                  &#8594; <a href="materials-methods?scrollTo=introduction">How did we do this?</a> <br/> <br/>
                  &#8594; <a href="results?scrollTo=experimental-design">What did we archieve?</a> <br/> <br/>
                  &#8594; <a href="parts?scrollTo=Parts Collection2">What parts are we contributing?</a> <br/> <br/>
                  &#8594; <a href="judging?scrollTo=OverviewH">What are our special awards?</a>
                </p>
              </div>
            <div className="col header-button-row">
            <p>
              <div className="col">
                    <button onClick={() => goToPageAndScroll("scrollstart", "")}> <b>SCROLL</b> to see introductory animation.</button>  
                  </div>
              </p>
              <p> 
                  <div className="col">
                    <button  onClick={() => goToPageAndScroll("Abstract", "/description")} > <b>CLICK</b> to go directly to our Project Description.</button> 
                  </div>
              </p>
              <p>
                <div className="col">
                    <button onClick={() => goToPageAndScroll("sciency", "")}> <b>JUMP</b> straight to the science part of the animation.</button>   
                  </div>
              </p>
              
              
            </div>
              
            </div>
            
          </div>
        </div> */}
        {/* Spacing Block */}
        <div className='col' style={{ 'height': '150vh' }}></div>
        <FadeIn filepath="https://static.igem.wiki/teams/5247/thaw/lp1.webp" bg='https://static.igem.wiki/teams/5247/thaw/lp1.webp'></FadeIn>
        <FadeIn filepath="https://static.igem.wiki/teams/5247/thaw/lp2.webp" bg='https://static.igem.wiki/teams/5247/thaw/lp2.webp'></FadeIn>
        <FadeIn filepath="https://static.igem.wiki/teams/5247/thaw/lp3.webp" bg='https://static.igem.wiki/teams/5247/thaw/lp3.webp'></FadeIn>
        <FadeIn filepath="https://static.igem.wiki/teams/5247/thaw/lp4.webp" bg='https://static.igem.wiki/teams/5247/thaw/lp4.webp'></FadeIn>
        <FadeIn filepath="https://static.igem.wiki/teams/5247/thaw/lp5.webp" bg='https://static.igem.wiki/teams/5247/thaw/lp5.webp'></FadeIn>
       
        <img src="https://static.igem.wiki/teams/5247/landing-page/lp-2.svg"/>  
        <div className="row">
            <div className="col button-x">
              <button  onClick={() => goToPageAndScroll("Approach2H", "/description")} > Lung-Specific Lipid Nanoparticle</button> 
            </div>
            <div className="col button-x">
              <button  onClick={() => goToPageAndScroll("Approach1H", "/description")} > Next-Generation Prime Editing Technology
              </button> 
            </div>
        </div>

    </>
  );
}
